slepc-3.21.1 2024-04-26
Report Typos and Errors

# SVDKSVDGetEigenMethod

Gets the method for the KSVD eigensolver.

### Synopsis

    #include "slepcsvd.h"
    PetscErrorCode SVDKSVDGetEigenMethod(SVD svd,SVDKSVDEigenMethod *eigen)

Not Collective

### Input Parameter

| svd | - the singular value solver context

### Output Parameter

| eigen | - method that will be used by KSVD for the eigenproblem

### See Also

SVDKSVDSetEigenMethod(), SVDKSVDEigenMethod

### Level

advanced

### Location

src/svd/impls/external/ksvd/svdksvd.c
Index of all SVD routines
Table of Contents for all manual pages
Index of all manual pages